<?php
require $_SERVER['DOCUMENT_ROOT'] . '/hethong/config.php';
$id_cron = strip_tags($_POST['id_cron']);
$url = strip_tags($_POST['edit_url']);
$interval_seconds = strip_tags($_POST['edit_interval_seconds']);
$status = strip_tags($_POST['status']);
$gia_han = strip_tags($_POST['gia_han']);
$now = time();
$cron = $ketnoi->query("SELECT * FROM `list_cron` WHERE `id` = '$id_cron' ")->fetch_array();
$sv_cron = $ketnoi->query("SELECT * FROM `list_server_cron` WHERE `id` = '".$cron['server_cron']."' ")->fetch_array();
if($username==""){
    $response = array('success' => false, 'message' => 'Đăng nhập để thực hiện tính năng này');
}
$check_cron = $ketnoi->query("SELECT * FROM `list_cron` WHERE `id` = '$id_cron'");
if($check_cron->num_rows == 1){
    $toz_cron = $check_cron->fetch_array();
    if ($_POST['edit_url'] == '' || $_POST['edit_interval_seconds'] == '') {
        $response = array('success' => false, 'message' => 'Vui lòng nhập đầy đủ thông tin');
    }elseif(!is_numeric($interval_seconds)){
        $response = array('success' => false, 'message' => 'Vui lòng nhập giá trị là số');
    }elseif($interval_seconds<$sv_cron['min_time']){
        $response = array('success' => false, 'message' => 'Số giây tối thiểu là '.$sv_cron['min_time']);
    }else {
        if($gia_han==0){
            $het = $toz_cron['ngay_het'];
            if($now<$het){
               $status_update = $status;
            }else{
                $status_update = 'hethan';
            }
        } else {
            $status_update = $status;
            $hethan = $toz_cron['ngay_het'];
            $days_to_add = 30 * $gia_han;
            $het = $hethan + ($days_to_add * 24 * 60 * 60);
        }
        $tongtien = $sv_cron['money'] * $gia_han;
        if ($user['money'] < $tongtien) {
            $response = array('success' => false, 'message' => 'Số dư tài khoản không đủ');
        } else {
            if (!empty($url) && filter_var($url, FILTER_VALIDATE_URL)) {
                $sql = $ketnoi->query("UPDATE `list_cron` SET 
                `url` = '$url',
                `interval_seconds` = '$interval_seconds',
                `status` = '$status_update',	
                `error_count` = '0',	
                `ngay_het` = '$het' WHERE `id` = '$id_cron' ");
                if ($sql) {
                    $newmoney = $user['money'] - $tongtien;
                    $check_money = $ketnoi->query("UPDATE `users` SET `money` = '$newmoney' WHERE `username` = '$username'");
                    if ($check_money) {
                        $response = array('success' => true);
                    }
                }
            } else {
                $response = array('success' => false, 'message' => 'Liên kết không chính xác');
            }
        }
    }
} else {
    $response = array('success' => false, 'message' => 'Không tồn tại cron này');
}

echo json_encode($response);
?>